# Dependencies

## Runtime dependencies

* [BlueZ 5](http://www.bluez.org/) (>= 5.48)
* [dbus](http://www.freedesktop.org/wiki/Software/dbus/) (>= 1.9.18)
* [GdkPixbuf](http://www.gtk.org/) (GI bindings)
* [GLib 2, Gio 2](http://www.gtk.org/) (>= 2.32) (GI bindings)
* [GTK+ 3](http://www.gtk.org/) (3.22) (GI bindings)
* [gnome-icon-theme](https://git.gnome.org/browse/adwaita-icon-theme/), [mate-icon-theme](https://github.com/mate-desktop/mate-icon-theme), [adwaita-icon-theme](https://github.com/GNOME/adwaita-icon-theme), [elementary-xfce](https://github.com/shimmerproject/elementary-xfce), or [Papirus](https://github.com/PapirusDevelopmentTeam/papirus-icon-theme)
* [notification-daemon](https://developer.gnome.org/notification-spec/) that provides dbus name org.freedesktop.Notifications
* [obexd 5](http://www.bluez.org/)
* [Pango](http://www.gtk.org/) (GI bindings)
* [pulseaudio](http://www.freedesktop.org/wiki/Software/PulseAudio/) (optional; its bluetooth module is required to actually use audio devices)
* [pycairo](http://cairographics.org/pycairo/)
* [PyGObject 3](https://wiki.gnome.org/PyGObject) (>= 3.27.2)
* [Python](http://www.python.org/) (>= 3.6)
* [net-tools](http://net-tools.sourceforge.net/) for blueman 2.0 and net-tools __or__ [iproute2](https://wiki.linuxfoundation.org/networking/iproute2) for blueman 2.1
* [libnm](https://wiki.gnome.org/Projects/NetworkManager) For managing DUN and PANU connection (GI bindings)

## Build dependencies

* [BlueZ 5](http://www.bluez.org/)
* [Cython](http://www.cython.org/)
* [GLib 2](http://www.gtk.org/) (>= 2.32)
* [gettext](https://www.gnu.org/software/gettext/)
* [PyGObject 3](https://wiki.gnome.org/PyGObject) (>= 3.27.2)
* [Python](http://www.python.org/) (>= 3.6)

## Additional dependencies for VCS version

* [automake](https://www.gnu.org/software/automake/)
* [autoconf](https://www.gnu.org/software/autoconf/)
* [libtool](http://www.gnu.org/software/libtool/)
